> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/api-reference/types/product.md).

# Product

| Name                      | Type                                                                 | Description                                                  |
| ------------------------- | -------------------------------------------------------------------- | ------------------------------------------------------------ |
| code                      | String                                                               | Unique code                                                  |
| createdAt                 | ISO8601DateTime                                                      | Timestamp the product was created                            |
| customFieldDefinitions    | List ([CustomField](/developer/api-reference/types/customfield.md))  | Custom field definitions for this object type                |
| customFieldsData          | JSON                                                                 | All custom field values for this object as a JSON object     |
| description               | String                                                               | Product description                                          |
| everythingInPlus          | Boolean                                                              | Lays out plan features in typical everything-in-X-plus style |
| features                  | List ([Feature](/developer/api-reference/types/feature.md))          | The features available on the product                        |
| hasCustomFields           | Boolean                                                              | Whether this object type has any custom fields defined       |
| id                        | ID                                                                   | Unique identifier for the product                            |
| internalNotes             | String                                                               | Internal notes                                               |
| name                      | String                                                               | Unique product name                                          |
| planDefaults              | [Plan](/developer/api-reference/types/plan.md)                       | Default values for a new plan                                |
| plans                     | List ([Plan](/developer/api-reference/types/plan.md))                | The plan available on the product                            |
| plansToDisplay            | Int                                                                  | Number of plans to display at once on the product page       |
| platform                  | [Platform](/developer/api-reference/types/platform.md)               | First platform this product is provisioned to                |
| platformId                | ID                                                                   | ID of the first platform this product is provisioned to      |
| platformIds               | List (ID)                                                            | IDs of platforms this product is provisioned to              |
| platforms                 | List ([Platform](/developer/api-reference/types/platform.md))        | Platforms this product is provisioned to                     |
| productCategory           | [ProductCategory](/developer/api-reference/types/productcategory.md) | Product category object                                      |
| productCategoryId         | ID                                                                   | ID of the product category                                   |
| showProductNameOnLineItem | Boolean                                                              | Prefix quote and invoice line items with product name        |
| updatedAt                 | ISO8601DateTime                                                      | Timestamp the product was last updated                       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/product.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
